Update member
Use this endpoint to update a members attributes. Only the credentials, id, and metadata parameters can be updated. To get a list of the required credentials for the member, use the list member credentials endpoint.
PUT
/users/{user_guid}/members/{member_guid}
Path Parameters
| Field | Required | Type |
|---|---|---|
member_guid The unique id for a | Required | String |
user_guid The unique identifier for a | Required | String |
Header Parameters
| Field | Required | Type |
|---|---|---|
X-CALLBACK-PAYLOAD The base64 encoded string defined in this header will be returned in the Member and Member Data Updated webhooks. This allows you to trace user interactions and workflows initiated externally and internally in the MX Platform. Max 1024 characters. | Optional | String |
Request Body
Member object to be updated (While no single parameter is required, the request body can't be empty)
| Field | Required | Type |
|---|---|---|
member | Required | Object |
Loading...